Skip to main content
PUT
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{instance_id}
/
backups
/
{id}
[Backups] Replace backup metadata
curl --request PUT \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{instance_id}/backups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "retention_days": 2147483647,
  "backup_type": "manual"
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Unique identifier of the backup.

instance_id
string
required

Unique identifier of the compute instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
required
Maximum string length: 255
retention_days
integer<int64>
Required range: 0 <= x <= 4294967295
backup_type
enum<string>
  • manual - Manual
  • scheduled - Scheduled
Available options:
manual,
scheduled

Response

Backup updated successfully